/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/
var ls_width = $(window).width();
var ls_height = $(window).height();

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义附件关联模块ID
var ls_module_id='999';
var ls_node=null;//当前选中的Node
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载模块分类下拉框
var v_mtquery = {};
var v_mt_data = jwAppCommonModel.jwAppsCommonDataAction.listSysModuletypeAll(v_mtquery);

var v_parent_data = jwAppColumnModel.jwAppsColumnDataAction.listColumnTree();

var v_column_data = jwAppColumnModel.jwAppsColumnDataAction.listAll();
//加载是否激活下拉框
var v_yesnoquery = {};
v_yesnoquery.FIELD_tableName = "DM_ST_YES_NO";
var v_yesno_data = standardModel.dataAction.listAll(v_yesnoquery);

//数据来源
var v_entity_datasource = [{CODE_ID:'0',CODE_NAME:'手工录入'},
                           {CODE_ID:'1',CODE_NAME:'单点集成'},
                           {CODE_ID:'2',CODE_NAME:'URL抓取'},
                           {CODE_ID:'3',CODE_NAME:'RSS订阅'},
                           {CODE_ID:'4',CODE_NAME:'模拟登录'},
                           {CODE_ID:'5',CODE_NAME:'内容发布'},
                           {CODE_ID:'6',CODE_NAME:'集成应用'}];
//授权角色
var v_gidquery = {};
var v_gid_data = jwAppCommonModel.jwAppsCommonDataAction.listSysRoleAll(v_gidquery);
var v_gidquery1 = {"DPT_NO":"all","DPT_NAME":"所有用戶"};
v_gid_data.rowSet.push(v_gidquery1);


////加载portal设置下拉框 只出现portal中数据源为《内容发布》的资源
var v_portlet_data = jwAppPortletModel.jwAppsPortletDataAction.listAllPTemplate( {
	"FIELD_P_TYPE" : "5"
});
var portlet = {"FIELD_P_TYPE" : "5"};


//所属分类下拉框
var v_entity_category = [{CODE_ID:'1',CODE_NAME:'教学类'},
                         {CODE_ID:'2',CODE_NAME:'管理类'},
                         {CODE_ID:'3',CODE_NAME:'服务类'},
                         {CODE_ID:'4',CODE_NAME:'娱乐类'},
                         {CODE_ID:'5',CODE_NAME:'默认应用'}];

//加载验证方式下拉框
var v_entity_verify = [{CODE_ID:'0',CODE_NAME:'模拟登录'},
                       {CODE_ID:'1',CODE_NAME:'单点登录'}];

//是否发布下拉框
var v_entity_is_public = [ {
	CODE_ID : '0',
	CODE_NAME : '否'
}, {
	CODE_ID : '1',
	CODE_NAME : '是'
} ];

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"资源设置",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsContentData_list',
	    queryParams : queryData,//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : false,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				},
				{
					field : 'option',
					title : '操作',
					width : 80,
					align : 'center',
					formatter : formatMenu
				}
				       ]],
		columns : [ [
				{
					field : 'PORTAL_ID',
					title : '所属资源',
					width : 200,
					align : 'left',
 					halign : 'center',
					formatter:function(value){
						return getPortletName(v_portlet_data.rowSet,value);
					}
				},{
 					field : 'TITLE',
 					title : '标题',
 					width : 600,
 					align : 'left',
 					halign : 'center'
				}, {
					field : 'CREATE_TIME',
					title : '创建时间',
					width : 150,
					align : 'center'
				}
             ] ],
		toolbar : '#tb',
		onLoadSuccess : function() {
			createOptionMenuTooltip();
		}
});
/****/

/**
 * 序号：4
 * 功能：设置主页面操作列菜单
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//操用列显示更多(一般情况下无需更改)
function formatMenu(value, data,index) {
	var returnData="";
	return  returnData
	      + "<span class=\"icon-ext-moremenu\" style=\"padding-left:20px;*width:20px;\"></span>"
	      + "<span data-p1="+index+" class=\"easyui-tooltip\" style=\"color:blue;cursor:pointer;\">更多</span>";
}
//菜单更多上浮横向菜单集(无需更改)
function createOptionMenuTooltip() {
	$('#list').datagrid('getPanel').find('.easyui-tooltip').each(
			function() {
				var index = parseInt($(this).attr('data-p1'));
				$(this).tooltip({
					content : $('<div></div>'),
					onUpdate : function(cc) {
						var row = $('#list').datagrid('getRows')[index];
						var content = getOptionMenu(row,index);
						var mCount = getOptionMenuCount();
						cc.css("border","0").panel({
							width : (70 * mCount),
							content : content
						});
					},
					position : 'right',
					deltaX : -20,
					onShow : function() {
						var t = $(this);
						t.tooltip('tip').css( {
							backgroundColor : '#ffffff'
								}).unbind().bind('mouseenter', function() {
							t.tooltip('show');
						}).bind('mouseleave', function() {
							t.tooltip('hide');
						});
					}
				});
			});
}

//上浮横向菜单集里的具体菜单项(需更改)
function getOptionMenu(data,index){
	var returnData= "<span class=\"icon-edit\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"editRow('"
		+ index + "')\">编辑</a>  |  <span class=\"icon-clear\" style=\"padding-left:20px;*width:20px;\"></span><a href=\"javascript:void(0);\" onclick=\"deleteRow('"
		+ index + "')\">删除</a>";
	return returnData;
}

//返回菜单集的菜单个数(需更改)
function getOptionMenuCount(){
	var is_menu_count = 2;
	return is_menu_count;
}
/****/

/**
 * 序号：5
 * 功能：新增修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载增加子页面
function addRow(){
	var is_row={OPETYPE:'insert'};
	openEditRow("jwAppsContentView_contentTabDetail",is_row,"新增",true,0.95,0.95,0,0);
}
//加载增加子页面成功后的回调
function addUrlOnloadCallback(is_row){
	$('#IS_PUBLIC').combobox( {
		data : v_entity_is_public,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable : false,
		panelHeight : 'auto'
	});
	$('#PORTAL_ID').combobox({
		data : v_portlet_data.rowSet,
		valueField : 'PORTLET_ID',
		textField : 'NAME',
		multiple:false,  
		editable:false,  
		panelHeight:'auto'
	});
	//创建编辑器
	UE.delEditor('CONTENT');
    var ue = getbaidu('CONTENT');
	//判断ueditor 编辑器是否创建成功
    ue.ready(function() {
        // editor准备好之后才可以使用
        ue.setContent("", false);
    });
    ue.setContent("", false);
}
//保存
function insertData(is_entity){
	var ue = getbaidu('CONTENT');
	is_entity.FIELD_CONTENT=ue.getContent();
	var v_result = jwAppContentModel.jwAppsContentActAction.insertContent(is_entity);
	$('#list').datagrid('reload', {});
	return v_result;
}
/**
 * 序号：6
 * 功能：修改弹出
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//加载修改子页面
function editRow(index){
	ls_row_index = index;
	var is_row = {};
	$('#list').datagrid('selectRow',index);
	is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	is_row[0].OPETYPE = 'update';
	
	var row={};
	$.extend(true,row,is_row[0]);
	//去掉大文本内容FIELD_CONTENT
	delete  row.CONTENT;
	openEditRow("jwAppsContentView_contentTabDetail",row,"编辑",true,0.95,0.95,0,0);	
}
//加载修改子页面成功后的回调
function updateUrlOnloadCallback(is_row){
	var rows=$('#list').datagrid('getRows');
	for(var i=0;i<rows.length;i++){
		if(rows[i].UUID==is_row.UUID){
			is_row.CONTENT=rows[i].CONTENT;
			break;
		}
	}
    $('#PORTAL_ID').combobox({
		data : v_portlet_data.rowSet,
		valueField : 'PORTLET_ID',
		textField : 'NAME',
		multiple:false,  
		editable:false,  
		panelHeight:'auto'
	});
	$('#IS_PUBLIC').combobox( {
		data : v_entity_is_public,
		valueField : 'CODE_ID',
		textField : 'CODE_NAME',
		editable : false,
		panelHeight : 'auto'
	});
	UE.delEditor('CONTENT');
	var ue = getbaidu('CONTENT');
	var content="";
	if(is_row.CONTENT!=null&&is_row.CONTENT!='<p>undefined</p>')
	     content=is_row.CONTENT;	
	//判断ueditor 编辑器是否创建成功
    ue.ready(function() {
        // editor准备好之后才可以使用
        ue.setContent(content+"", false); 
    });
    ue.setContent(content+"", false); 
}
//保存
function updateData(is_entity){
	var ue = getbaidu('CONTENT');
	is_entity.FIELD_CONTENT=ue.getContent();
	var v_result = jwAppContentModel.jwAppsContentActAction.updateContent(is_entity);
	reloadTree();
	return v_result;
}

/**
 * 序号：7
 * 功能：单个删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteRow(index){
	$('#list').datagrid('selectRow',index);	
	var is_row = $('#list').datagrid('getSelections');
	$('#list').datagrid('clearSelections');
	var code = is_row[0].UUID;
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
		    v_query.deletekey = code;
			var v_result = appstoreModel.actAction.deleteApp(v_query);
			$('#list').datagrid('reload', {});
	      	return v_result;
		}
	});
}

/**
 * 序号：8
 * 功能：批量删除
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function deleteBatchRow(){
	var code = "";
	var is_row = $('#list').datagrid('getSelections');
	for(var i=0; i<is_row.length; i++){
		code = code + is_row[i].UUID+",";
	}
	if(is_row == null || is_row == ""){
		$.messager.alert('提示',"请选择需删除的行!");
		return;
	}
	if(code.length>0){
		code = code.substring(0,code.length - 1);
	}
	$.messager.confirm('提示', '确定删除?', function(r) {
		if (r) {
			var v_query = {};
			v_query.deletekey = code;
			var v_result = jwAppContentModel.jwAppsContentActAction.deleteContent(v_query);
			$('#list').datagrid('reload', {});
	      	return v_result;
		}
	});
}


/**
 * 序号：8
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow() {
	$('#list').datagrid('load', {});
	$("#contenttab_searchForm")[0].reset();
}
/****/

/**
 * 序号：9
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#contenttab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/
/**
 * 序号：11
 * 功能：加载报表树列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//setInitTree(节点显示字段,节点显示主题,节点字段UUID,父节点字段)
var setting = setInitTree("NAME","NAME","PORTLET_ID","PARENT_ID");
//加载树时的默认点击
function defautClick(zTree,treeNode){
	if(ls_node == null){
		  ls_node = treeNode;
		  zTree.selectNode(ls_node);
		}else{
			zTree.selectNode(ls_node);
			modifyNode(ls_node);
		}
}
//点击左边节点，datagrid过滤
function modifyNode(treeNode){
	ls_node = treeNode;
	//queryData.FIELD_PARENT_ID =treeNode.UUID;
	queryData.FIELD_PORTAL_ID =treeNode.PORTLET_ID;
	queryData.FIELD_TREE_CLICK = 'Y';
	$('#list').datagrid('reload',queryData);
	
}
	   
//loadTree(后台数据路径,显示的层ID)
loadTree("jwAppsPortletData_listPTemplateTree?FIELD_P_TYPE=5","contentTab_tree","PORTLET_ID","1");

function reloadTree(){
	loadTree("jwAppsPortletData_listPTemplateTree?FIELD_P_TYPE=5","contentTab_tree","PORTLET_ID","1");
	//loadTree();
}
/****/

